CreateDopLocationOutfit()

NewObj("serdce_18_11","serdce_18_11",450,325,"13");
-- AddEmiter(obj.serdce_18_11.id,"Inv");
-- StartEmiter("Inv");
setCursor(obj.serdce_18_11.id,4);
speciale_action(2,obj.serdce_18_11.id)


addstaticobjecttogame(1,"BigTexture89",485,327,"",0,0,65,65);--ten_ot_serdce_18_11
speciale_action(2,1)
addstaticobjecttogame(2,"BigTexture89",233,45,"",65,0,568,535);--Вскрытый рыцарь
speciale_action(2,2)

zona1={
596,193,
660,193,
660,270,
566,270
}
zona2={
436,373,
493,373,
493,426,
436,426
}
if not flags.zona1 then
CreatePolygon(30,4,"zona1")
setCursor(30,13)
end;
if not flags.zona2 then
CreatePolygon(31,4,"zona2")
setCursor(31,13)
end;
addstaticobjecttogame(25,"masl_otv",465,395,"",0,0,281,119); --o4
addstaticobjecttogame(24,"masl_otv",463,393,"",281,0,278,118); --o3
addstaticobjecttogame(23,"masl_otv",631,135,"",559,0,284,99); --o2
addstaticobjecttogame(22,"masl_otv",630,138,"",0,119,283,97); --o1
addstaticobjecttogame(21,"masl_otv",446,391,"",843,0,24,20); --b6
addstaticobjecttogame(20,"masl_otv",448,389,"",559,99,22,21); --b5
addstaticobjecttogame(19,"masl_otv",451,388,"",283,119,19,20); --b4
addstaticobjecttogame(18,"masl_otv",453,389,"",867,0,15,42); --mas2
addstaticobjecttogame(17,"masl_otv",460,232,"",0,216,183,160); --m4
addstaticobjecttogame(16,"masl_otv",466,247,"",581,99,191,143); --m3
addstaticobjecttogame(15,"masl_otv",142,224,"",0,376,495,39);  --mas1
addstaticobjecttogame(14,"masl_otv",624,62,"",302,119,182,199); --m2 
addstaticobjecttogame(13,"masl_otv",628,81,"",772,99,191,143); --m1
addstaticobjecttogame(12,"masl_otv",628,226,"",843,20,22,17);    --b3
addstaticobjecttogame(11,"masl_otv",627,226,"",559,120,16,17);  --b2
addstaticobjecttogame(10,"masl_otv",624,226,"",283,139,14,17); --b1
for i=10,25,1 do
  speciale_action(2,i)
end;
speciale_action(2,10)
speciale_action(2,19)
if flags.bolt1 then
  speciale_action(2,10)
  speciale_action(2,12)
end;

if flags.bolt1 then
  speciale_action(2,19)
  speciale_action(2,21)
end;

if flags.maslo1 then
  speciale_action(2,15)
end;

if flags.maslo1 then
  speciale_action(2,18)
end;

-- addstaticobjecttogame(3,"BigTexture89",635,147,"",633,0,283,97);--otvertka_18_11
-- speciale_action(2,3)
-- addstaticobjecttogame(4,"BigTexture89",631,48,"",633,97,177,164);--maslenka_18_11
-- speciale_action(2,4)
-- addstaticobjecttogame(5,"BigTexture89",454,191,"",810,97,195,268);--maslo_na_bolty_18_11
-- speciale_action(2,5)
-- addstaticobjecttogame(6,"BigTexture89",460,198,"","",0,0,810,365,185,202);--bolty_18_11
-- set_pixel_check(6,false)
-- setCursor(6,13)
addstaticobjecttogame(7,"dop51_18_11",100,45,"");--dop51_18_11